/*SEARCH_DIR(C:/WinARM/CodeSourcery/lib/gcc/arm-none-eabi/4.2.3/thumb);*/

MEMORY
{
  ram (rwx) : ORIGIN = 0x20000000, LENGTH = 0xC000
  rom (rx) : ORIGIN = 0x00000000, LENGTH = 256K
}
SECTIONS
  {
	.  = 0x0;          /* From 0x00000000 */
    .text : {
    *(.vectors)     /* Interrupt der Applikation */
    *(.text)           /* Program code */
    *(.rodata)         /* Read only data */
    *(.rodata.str1.4)
    _etext = .;
    } >rom
    
    .  = 0x20000000;   /* From 0x20000000 */      
    .data : {
    _data = .;
    *(.data)           /* Data memory */
    *(.eh_frame)
    _edata = .;
    } >ram AT > rom 
    
    .bss : {
    _bss = .;
    *(.bss)            /* Zero-filled run time allocate data memory */
    _ebss = .;
    } >ram AT > rom  
 }  
/*========== end of file ==========*/
